# Enum Class CAStockOccurrenceKind

java.lang.Object
java.lang.Enum<CAStockOccurrenceKind>
com.io7m.cardant.model.CAStockOccurrenceKind

All Implemented Interfaces:
  `Serializable, Comparable<CAStockOccurrenceKind>, Constable`

public enum CAStockOccurrenceKind extends Enum<CAStockOccurrenceKind>
The kinds of stock occurrences.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `SERIAL`
  `SET`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Set<CAStockOccurrenceKind>`
  `all()`
  `static CAStockOccurrenceKind`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CAStockOccurrenceKind[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SERIAL

    public static final CAStockOccurrenceKind SERIAL
    See Also:
      - `CAStockOccurrenceSerial`

  - ### SET

    public static final CAStockOccurrenceKind SET
    See Also:
      - `CAStockOccurrenceSet`

- ## Method Details

  - ### values

    public static CAStockOccurrenceKind[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CAStockOccurrenceKind valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### all

    public static Set<CAStockOccurrenceKind> all()
    Returns:
      A set of all possible values